/**
 * Stochastic Yield
 * Generates richer interleavings.
 *
 * Author: Nicolás Wolovick (nicolasw@famaf.unc.edu.ar)
 */

import java.util.Random;

/* Toss a coin and decides if giving the scheduler a hint to give this (virtual?) CPU to another thread. */
public class StoYield {
	
	private static Random bitNoise = new Random();

	public static final void yield() {
		if (bitNoise.nextBoolean()) {
			Thread.yield();
		}
	}
}